Actualizar la ruta
curl --request PATCH \
--url https://network.{region}.basaltic.sh/v1/route-tables/{route_table_id}/routes/{route_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "Default route to the internet gateway",
"tags": {}
}
'import requests
url = "https://network.{region}.basaltic.sh/v1/route-tables/{route_table_id}/routes/{route_id}"
payload = {
"description": "Default route to the internet gateway",
"tags": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({description: 'Default route to the internet gateway', tags: {}})
};
fetch('https://network.{region}.basaltic.sh/v1/route-tables/{route_table_id}/routes/{route_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"route": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"crn": "crn:network:sa-saopaulo-1:my-account:route/<uuid>",
"route_table_id": "a3c9e1f4-7b2d-4a6e-8c1f-9d3b5e7a2c4f",
"destination_cidr": "0.0.0.0/0",
"target_type": "ip",
"tags": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "Default route to the internet gateway",
"next_hop_ip": "10.0.1.1",
"target_internet_gateway_id": "c4f7a2e9-8d1b-4e6c-9a3f-5b2d7c1e8a4f",
"target_nat_gateway_id": "e2a8c5f1-3b9d-4c7e-8a1f-6d4b2e9c3a5f",
"target_egress_only_gateway_id": "b7d3f1a9-2c8e-4b6d-9f1a-3e5c7d2b8a4f"
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "ACCESS_DENIED",
"message": "You don't have permission to perform this action",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "An internal error occurred",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Rutas
Actualizar la ruta
Actualizar descripción / etiquetas. Destino + siguiente salto son inmutables.
PATCH
/
v1
/
route-tables
/
{route_table_id}
/
routes
/
{route_id}
Actualizar la ruta
Requiere la acción de IAM
network:UpdateRoute. Consulte permisos de redes para obtener la lista completa, lo que cubre cada una y un ejemplo de directiva.Autorizaciones
Un token bearer de OAuth 2.0, enviado como Authorization: Bearer <token>. Esta es la forma recomendada de autenticación.
Obtén el token intercambiando el par de claves de acceso de una cuenta de servicio en POST /v1/oauth/token con grant_type=client_credentials. Es el flujo estándar de credenciales de cliente; las bibliotecas compatibles con OAuth pueden obtener y renovar el token por ti.
curl -s -u "$KEY_ID:$SECRET" -d grant_type=client_credentials \
https://iam.basaltic.sh/v1/oauth/token
Los tokens duran una hora por defecto. El mismo par de claves de acceso también sirve como credencial AWS SigV4 para el endpoint de objetos compatible con S3, que solo acepta ese método de autenticación.
Parámetros de ruta
ID de la tabla de rutas
ID de ruta
Cuerpo
application/json
Respuesta
Ruta actualizada
Show child attributes
Show child attributes

